Packages - Bug #840

[arrayfire] has nonfree cuda and nvidia-utils support and contains nonfree SIFT algorithm
2015-10-22 04:11 PM - ovruni

Status: fixed % Done: 100%
Priority: freedom issue

Assignee:

Category:

Description

arrayfire recommends cuda and nvidia-utils (optional installation), but these packages are blacklisted

History

#1 - 2015-10-31 03:15 AM - Anonymous

- Assignee set to Anonymous

#2 - 2015-11-02 02:11 AM - Anonymous

- Status changed from open to in progress

#3 - 2015-11-02 03:08 AM - Anonymous
- % Done changed from 0 to 30

#4 - 2015-11-02 03:26 AM - Anonymous

arrayfire contains files that should be deleted due of the message described below:

// The source code contained in this file is based on the original code by

// Rob Hess. Please note that SIFT is an algorithm patented and protected

// by US law, before using this code or any binary forms generated from it,
// verify that you have permission to do so. The original license by Rob Hess
// can be read below:

// Copyright (c) 2006-2012, Rob Hess <rob@igengines.com>
// All rights reserved.

// The following patent has been issued for methods embodied in this

// software: "Method and apparatus for identifying scale invariant features
// in an image and use of same for locating an object in an image, " David
// G. Lowe, US Patent 6,711,293 (March 23, 2004). Provisional application
// filed March 8, 1999. Asignee: The University of British Columbia. For

// further details, contact David Lowe (lowe@cs.ubc.ca) or the

// University-Industry Liaison Office of the University of British

// Columbia.

// Note that restrictions imposed by this patent (and possibly others)

// exist independently of and may be in conflict with the freedoms granted
// in this license, which refers to copyright of the program, not patents
// for any methods that it implements. Both copyright and patent law must
// be obeyed to legally use and redistribute this program and it is not the
// purpose of this license to induce you to infringe any patents or other
// property right claims or to contest validity of any such claims. If you
// redistribute or use the program, then this license merely protects you
// from committing copyright infringement. It does not protect you from

// committing patent infringement. So, before you do anything with this

// program, make sure that you have permission to do so not merely in terms
// of copyright, but also in terms of patent law.

// Please note that this license is not to be understood as a guarantee

// either. If you use the program according to this license, but in

// conflict with patent law, it does not mean that the licensor will refund
// you for any losses that you incur if you are sued for your patent

// infringement.

// Redistribution and use in source and binary forms, with or without

// modification, are permitted provided that the following conditions are
// met:
// * Redistributions of source code must retain the above copyright and

// patent notices, this list of conditions and the following

// disclaimer.

// * Redistributions in binary form must reproduce the above copyright
// notice, this list of conditions and the following disclaimer in
// the documentation and/or other materials provided with the

// distribution.

// * Neither the name of Oregon State University nor the names of its
// contributors may be used to endorse or promote products derived
// from this software without specific prior written permission.

//

// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
// IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
// TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A

// PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT

// HOLDER BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,

// EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,

// PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR

// PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
// LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
// NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS

// SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

#5 - 2015-11-02 03:26 AM - Anonymous
- % Done changed from 30 to 60

#6 - 2015-11-02 03:42 AM - Anonymous
- Priority changed from bug to freedom issue

- Subject changed from [arrayfire] recommends cuda and nvidia-utils optional installation to [arrayfire] contains nonfree SIFT algorithm and supports
nonfree cuda and nvidia-utils

#7 - 2015-11-02 03:53 AM - Anonymous

- Subject changed from [arrayfire] contains nonfree SIFT algorithm and supports nonfree cuda and nvidia-utils to [arrayfire] supports nonfree cuda and
nvidia-utils and contains nonfree SIFT algorithm

#8 - 2015-11-02 03:54 AM - Anonymous

- Subject changed from [arrayfire] supports nonfree cuda and nvidia-utils and contains nonfree SIFT algorithm to [arrayfire] has nonfree cuda and
nvidia-utils support and contains nonfree SIFT algorithm

#9 - 2015-11-02 11:31 PM - Anonymous
- % Done changed from 60 to 100

- Status changed from in progress to fixed

#10 - 2022-04-12 07:25 PM - gap

The SIFT algorithm can be readded when the patent expires. If this is 20 years later, that would be 2019 from the date of the initial filing, which means
we can readd it right away, or 2024 from the date of the grant.

Disclaimer: | am not a lawyer.

#11 - 2022-04-13 10:56 AM - nona

The patent of SIFT has expired since 2020. The question is how to deal with the tranches.

2024-04-20 22


http://www.tcpdf.org

